Name:             ddccontrol
URL:              http://ddccontrol.sourceforge.net/
Version:          0.4.2
Release:          2%{?dist}
License:          GPLv2+
BuildRequires:    gtk2-devel, pkgconfig, pciutils-devel, desktop-file-utils
BuildRequires:    perl(XML::Parser), gettext, libtool, libxml2-devel, tidy
BuildRequires:    libX11-devel, xml-common, libxslt, libXt-devel
BuildRequires:    docbook-style-xsl
Requires:         ddccontrol-db
Requires(post):   /sbin/modprobe
Requires(post):   /sbin/ldconfig
Requires(postun): /sbin/ldconfig
Group:            Applications/System
Summary:          Control your monitor by software using the DDC/CI protocol
Source0:          http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
# autoload i2c-dev module
Source1:          %{name}-modules-autoload.conf

%description
DDCcontrol is a program to control monitor parameters, like brightness and
contrast, by software, i.e. without using the OSD (On Screen Display) and
the monitor HW controls.

%prep
%setup -q

%build
# applet is not supported on Gnome 3
%configure --enable-doc --disable-gnome-applet --prefix=%{_prefix} \
  --exec-prefix=%{_exec_prefix} --disable-rpath

# kill rpaths
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

# use as-needed to remove unused-direct-shlib-dependency
sed -i -e 's! -shared ! -Wl,--as-needed\0!g' libtool

make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot} libdir=%{_libdir}

desktop-file-validate %{buildroot}%{_datadir}/applications/gddccontrol.desktop

# autoload i2c-dev module
install -m 644 -D %{SOURCE1} %{buildroot}%{_prefix}/lib/modules-load.d/%{name}.conf

# fix docs
mv %{buildroot}%{_docdir}/%{name} %{buildroot}%{_docdir}/%{name}-%{version}

# remove static and *.la files
rm -f %{buildroot}%{_libdir}/{*.a,*.la}

%find_lang %{name}

%post
/sbin/ldconfig

# autoload i2c-dev module
/sbin/modprobe i2c-dev &>/dev/null || :

%postun -p /sbin/ldconfig

%package gtk
Summary:        GTK GUI for ddccontrol
Group:          Applications/System
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description gtk
This package provides the GTK graphical user interface for ddccontrol.

%package doc
Summary:        Documentation files for ddccontrol
Group:          Applications/System
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description doc
Documentation files for ddccontrol.

%package devel
Summary:        Development files for ddccontrol
Group:          Applications/System
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
Development files for ddccontrol.

%files -f %{name}.lang
%doc AUTHORS COPYING NEWS README TODO
%exclude %{_docdir}/%{name}-%{version}/html
%{_bindir}/ddccontrol
%attr(0755,root,root) %{_bindir}/ddcpci
%{_prefix}/lib/modules-load.d/%{name}.conf
%{_libdir}/lib*.so.*
%{_mandir}/man1/ddccontrol.1*

%files gtk
%{_bindir}/gddccontrol
%{_mandir}/man1/gddccontrol.1*
%{_datadir}/pixmaps/*
%{_datadir}/applications/*

%files doc
%doc %{_docdir}/%{name}-%{version}/html

%files devel
%{_includedir}/%{name}
%{_libdir}/lib*.so

%changelog
* Tue Sep 04 2012 Jaroslav Škarvada <jskarvad@redhat.com> - 0.4.2-2
- Desktop file and icon moved to gtk subpackage
- Man pages are no longer explicitly gzipped
- Config for modules autoload moved to /usr/lib/modules-load.d
- Fixed requirements for gtk subpackage
- Fixed unused-direct-shlib-dependency

* Wed Aug 29 2012 Jaroslav Škarvada <jskarvad@redhat.com> - 0.4.2-1
- Initial version
